VERSION 5.00
Begin VB.Form exporttomsexcelform 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Export to MS Excel"
   ClientHeight    =   3135
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2895
   ControlBox      =   0   'False
   Icon            =   "exporttomsexcelform.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3135
   ScaleWidth      =   2895
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   "Options"
      Height          =   2175
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   2655
      Begin VB.CommandButton close 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Close"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   735
         Left            =   120
         Style           =   1  'Graphical
         TabIndex        =   1
         Top             =   1320
         Width           =   2415
      End
      Begin VB.CommandButton export 
         BackColor       =   &H00C0FFFF&
         Caption         =   "Export"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   975
         Left            =   120
         Style           =   1  'Graphical
         TabIndex        =   0
         Top             =   240
         Width           =   2415
      End
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Clicking on Export below will open a new Microsoft Excel sheet and populate the Students Table in it."
      Height          =   735
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   2655
   End
End
Attribute VB_Name = "exporttomsexcelform"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' some variables
Dim Db As Database
Dim Rs As Recordset
Dim sql_query As String
Dim excelsheet As Object


' Things to preload when form loads
Sub Form_Load()

' open database
Set Db = OpenDatabase("db1.mdb")

End Sub

Private Sub export_Click()
' define sql query
sql_query = "select * from students_table where studentid like '*' order by studentid asc"

' execute sql query
Set Rs = Db.OpenRecordset(sql_query)

' define excelsheet as an Excel Sheet
Set excelsheet = CreateObject("Excel.application")

' make new Excel Sheet visible
excelsheet.Visible = True

' Add a new worksheet
excelsheet.Workbooks.Add

' add titles
excelsheet.Cells(1, 1).Formula = "Student ID"
excelsheet.Cells(1, 2).Formula = "First Name"
excelsheet.Cells(1, 3).Formula = "Middle Name"
excelsheet.Cells(1, 4).Formula = "Last Name"
excelsheet.Cells(1, 5).Formula = "Date of Birth"
excelsheet.Cells(1, 6).Formula = "Faculty"
excelsheet.Cells(1, 7).Formula = "Major"
excelsheet.Cells(1, 8).Formula = "Level"
excelsheet.Cells(1, 9).Formula = "Year of Graduation"

' add color to titles and make text bold
excelsheet.range("A1:I1").interior.colorindex = 36
excelsheet.range("A1:I1").Font.Bold = True

' fix column widths
excelsheet.Columns("A").ColumnWidth = 10
excelsheet.Columns("B").ColumnWidth = 17
excelsheet.Columns("C").ColumnWidth = 17
excelsheet.Columns("D").ColumnWidth = 17
excelsheet.Columns("E").ColumnWidth = 15
excelsheet.Columns("F").ColumnWidth = 31
excelsheet.Columns("G").ColumnWidth = 30
excelsheet.Columns("H").ColumnWidth = 15
excelsheet.Columns("I").ColumnWidth = 17

' fix the Date of Birth column text format to a Date
excelsheet.Columns("E").NumberFormat = "dd-mmm-yyyy"

' populate table
Dim i As Integer
i = 2
Do Until Rs.EOF
excelsheet.Cells(i, 1).Formula = Rs!studentid
excelsheet.Cells(i, 2).Formula = Rs!firstname
excelsheet.Cells(i, 3).Formula = Rs!middlename
excelsheet.Cells(i, 4).Formula = Rs!lastname
excelsheet.Cells(i, 5).Formula = Rs!dateofbirth
excelsheet.Cells(i, 6).Formula = Rs!faculty
excelsheet.Cells(i, 7).Formula = Rs!major
excelsheet.Cells(i, 8).Formula = Rs!llevel
excelsheet.Cells(i, 9).Formula = Rs!yearofgraduation
i = i + 1
Rs.MoveNext
Loop

' add borders to table rows and columns
excelsheet.range("A1:I" & Rs.RecordCount + 1).Borders.Value = 1



End Sub

' define what hapens when user clicks 'close' button
Private Sub close_Click()
exporttomsexcelform.Hide
mainform.Show
End Sub
